--Copyright 1986-2016 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2016.2 (lin64) Build 1577090 Thu Jun  2 16:32:35 MDT 2016
--Date        : Mon Oct  3 11:19:17 2016
--Host        : niek-OptiPlex-7010 running 64-bit Ubuntu 14.04.5 LTS
--Command     : generate_target axi_2_amba.bd
--Design      : axi_2_amba
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity axi_2_amba is
  port (
    AXI4_araddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    AXI4_arburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    AXI4_arcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    AXI4_arid : in STD_LOGIC_VECTOR ( 3 downto 0 );
    AXI4_arlen : in STD_LOGIC_VECTOR ( 7 downto 0 );
    AXI4_arlock : in STD_LOGIC;
    AXI4_arprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    AXI4_arready : out STD_LOGIC;
    AXI4_arsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    AXI4_arvalid : in STD_LOGIC;
    AXI4_awaddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    AXI4_awburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    AXI4_awcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    AXI4_awid : in STD_LOGIC_VECTOR ( 3 downto 0 );
    AXI4_awlen : in STD_LOGIC_VECTOR ( 7 downto 0 );
    AXI4_awlock : in STD_LOGIC;
    AXI4_awprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    AXI4_awready : out STD_LOGIC;
    AXI4_awsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    AXI4_awvalid : in STD_LOGIC;
    AXI4_bid : out STD_LOGIC_VECTOR ( 3 downto 0 );
    AXI4_bready : in STD_LOGIC;
    AXI4_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    AXI4_bvalid : out STD_LOGIC;
    AXI4_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    AXI4_rid : out STD_LOGIC_VECTOR ( 3 downto 0 );
    AXI4_rlast : out STD_LOGIC;
    AXI4_rready : in STD_LOGIC;
    AXI4_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    AXI4_rvalid : out STD_LOGIC;
    AXI4_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    AXI4_wlast : in STD_LOGIC;
    AXI4_wready : out STD_LOGIC;
    AXI4_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    AXI4_wvalid : in STD_LOGIC;
    M_AHB_haddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AHB_hburst : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AHB_hmastlock : out STD_LOGIC;
    M_AHB_hprot : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AHB_hrdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AHB_hready : in STD_LOGIC;
    M_AHB_hresp : in STD_LOGIC;
    M_AHB_hsize : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AHB_htrans : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AHB_hwdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AHB_hwrite : out STD_LOGIC;
    s_axi_aclk : in STD_LOGIC;
    s_axi_aresetn : in STD_LOGIC
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of axi_2_amba : entity is "axi_2_amba,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=axi_2_amba,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=1,numReposBlks=1,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,synth_mode=Global}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of axi_2_amba : entity is "axi_2_amba.hwdef";
end axi_2_amba;

architecture STRUCTURE of axi_2_amba is
  component axi_2_amba_axi_ahblite_bridge_0_0 is
  port (
    s_axi_aclk : in STD_LOGIC;
    s_axi_aresetn : in STD_LOGIC;
    s_axi_awid : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_awlen : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axi_awsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_awburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_awcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_awaddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_awprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_awvalid : in STD_LOGIC;
    s_axi_awready : out STD_LOGIC;
    s_axi_awlock : in STD_LOGIC;
    s_axi_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_wlast : in STD_LOGIC;
    s_axi_wvalid : in STD_LOGIC;
    s_axi_wready : out STD_LOGIC;
    s_axi_bid : out STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_bvalid : out STD_LOGIC;
    s_axi_bready : in STD_LOGIC;
    s_axi_arid : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_araddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_arprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_arcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_arvalid : in STD_LOGIC;
    s_axi_arlen : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axi_arsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_arburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_arlock : in STD_LOGIC;
    s_axi_arready : out STD_LOGIC;
    s_axi_rid : out STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_rvalid : out STD_LOGIC;
    s_axi_rlast : out STD_LOGIC;
    s_axi_rready : in STD_LOGIC;
    m_ahb_haddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    m_ahb_hwrite : out STD_LOGIC;
    m_ahb_hsize : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_ahb_hburst : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_ahb_hprot : out STD_LOGIC_VECTOR ( 3 downto 0 );
    m_ahb_htrans : out STD_LOGIC_VECTOR ( 1 downto 0 );
    m_ahb_hmastlock : out STD_LOGIC;
    m_ahb_hwdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    m_ahb_hready : in STD_LOGIC;
    m_ahb_hrdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    m_ahb_hresp : in STD_LOGIC
  );
  end component axi_2_amba_axi_ahblite_bridge_0_0;
  signal AXI4_1_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal AXI4_1_ARBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal AXI4_1_ARCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal AXI4_1_ARID : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal AXI4_1_ARLEN : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal AXI4_1_ARLOCK : STD_LOGIC;
  signal AXI4_1_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal AXI4_1_ARREADY : STD_LOGIC;
  signal AXI4_1_ARSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal AXI4_1_ARVALID : STD_LOGIC;
  signal AXI4_1_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal AXI4_1_AWBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal AXI4_1_AWCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal AXI4_1_AWID : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal AXI4_1_AWLEN : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal AXI4_1_AWLOCK : STD_LOGIC;
  signal AXI4_1_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal AXI4_1_AWREADY : STD_LOGIC;
  signal AXI4_1_AWSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal AXI4_1_AWVALID : STD_LOGIC;
  signal AXI4_1_BID : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal AXI4_1_BREADY : STD_LOGIC;
  signal AXI4_1_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal AXI4_1_BVALID : STD_LOGIC;
  signal AXI4_1_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal AXI4_1_RID : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal AXI4_1_RLAST : STD_LOGIC;
  signal AXI4_1_RREADY : STD_LOGIC;
  signal AXI4_1_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal AXI4_1_RVALID : STD_LOGIC;
  signal AXI4_1_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal AXI4_1_WLAST : STD_LOGIC;
  signal AXI4_1_WREADY : STD_LOGIC;
  signal AXI4_1_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal AXI4_1_WVALID : STD_LOGIC;
  signal axi_ahblite_bridge_0_M_AHB_HADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal axi_ahblite_bridge_0_M_AHB_HBURST : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal axi_ahblite_bridge_0_M_AHB_HMASTLOCK : STD_LOGIC;
  signal axi_ahblite_bridge_0_M_AHB_HPROT : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal axi_ahblite_bridge_0_M_AHB_HRDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal axi_ahblite_bridge_0_M_AHB_HREADY : STD_LOGIC;
  signal axi_ahblite_bridge_0_M_AHB_HRESP : STD_LOGIC;
  signal axi_ahblite_bridge_0_M_AHB_HSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal axi_ahblite_bridge_0_M_AHB_HTRANS : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal axi_ahblite_bridge_0_M_AHB_HWDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal axi_ahblite_bridge_0_M_AHB_HWRITE : STD_LOGIC;
  signal s_axi_aclk_1 : STD_LOGIC;
  signal s_axi_aresetn_1 : STD_LOGIC;
begin
  AXI4_1_ARADDR(31 downto 0) <= AXI4_araddr(31 downto 0);
  AXI4_1_ARBURST(1 downto 0) <= AXI4_arburst(1 downto 0);
  AXI4_1_ARCACHE(3 downto 0) <= AXI4_arcache(3 downto 0);
  AXI4_1_ARID(3 downto 0) <= AXI4_arid(3 downto 0);
  AXI4_1_ARLEN(7 downto 0) <= AXI4_arlen(7 downto 0);
  AXI4_1_ARLOCK <= AXI4_arlock;
  AXI4_1_ARPROT(2 downto 0) <= AXI4_arprot(2 downto 0);
  AXI4_1_ARSIZE(2 downto 0) <= AXI4_arsize(2 downto 0);
  AXI4_1_ARVALID <= AXI4_arvalid;
  AXI4_1_AWADDR(31 downto 0) <= AXI4_awaddr(31 downto 0);
  AXI4_1_AWBURST(1 downto 0) <= AXI4_awburst(1 downto 0);
  AXI4_1_AWCACHE(3 downto 0) <= AXI4_awcache(3 downto 0);
  AXI4_1_AWID(3 downto 0) <= AXI4_awid(3 downto 0);
  AXI4_1_AWLEN(7 downto 0) <= AXI4_awlen(7 downto 0);
  AXI4_1_AWLOCK <= AXI4_awlock;
  AXI4_1_AWPROT(2 downto 0) <= AXI4_awprot(2 downto 0);
  AXI4_1_AWSIZE(2 downto 0) <= AXI4_awsize(2 downto 0);
  AXI4_1_AWVALID <= AXI4_awvalid;
  AXI4_1_BREADY <= AXI4_bready;
  AXI4_1_RREADY <= AXI4_rready;
  AXI4_1_WDATA(31 downto 0) <= AXI4_wdata(31 downto 0);
  AXI4_1_WLAST <= AXI4_wlast;
  AXI4_1_WSTRB(3 downto 0) <= AXI4_wstrb(3 downto 0);
  AXI4_1_WVALID <= AXI4_wvalid;
  AXI4_arready <= AXI4_1_ARREADY;
  AXI4_awready <= AXI4_1_AWREADY;
  AXI4_bid(3 downto 0) <= AXI4_1_BID(3 downto 0);
  AXI4_bresp(1 downto 0) <= AXI4_1_BRESP(1 downto 0);
  AXI4_bvalid <= AXI4_1_BVALID;
  AXI4_rdata(31 downto 0) <= AXI4_1_RDATA(31 downto 0);
  AXI4_rid(3 downto 0) <= AXI4_1_RID(3 downto 0);
  AXI4_rlast <= AXI4_1_RLAST;
  AXI4_rresp(1 downto 0) <= AXI4_1_RRESP(1 downto 0);
  AXI4_rvalid <= AXI4_1_RVALID;
  AXI4_wready <= AXI4_1_WREADY;
  M_AHB_haddr(31 downto 0) <= axi_ahblite_bridge_0_M_AHB_HADDR(31 downto 0);
  M_AHB_hburst(2 downto 0) <= axi_ahblite_bridge_0_M_AHB_HBURST(2 downto 0);
  M_AHB_hmastlock <= axi_ahblite_bridge_0_M_AHB_HMASTLOCK;
  M_AHB_hprot(3 downto 0) <= axi_ahblite_bridge_0_M_AHB_HPROT(3 downto 0);
  M_AHB_hsize(2 downto 0) <= axi_ahblite_bridge_0_M_AHB_HSIZE(2 downto 0);
  M_AHB_htrans(1 downto 0) <= axi_ahblite_bridge_0_M_AHB_HTRANS(1 downto 0);
  M_AHB_hwdata(31 downto 0) <= axi_ahblite_bridge_0_M_AHB_HWDATA(31 downto 0);
  M_AHB_hwrite <= axi_ahblite_bridge_0_M_AHB_HWRITE;
  axi_ahblite_bridge_0_M_AHB_HRDATA(31 downto 0) <= M_AHB_hrdata(31 downto 0);
  axi_ahblite_bridge_0_M_AHB_HREADY <= M_AHB_hready;
  axi_ahblite_bridge_0_M_AHB_HRESP <= M_AHB_hresp;
  s_axi_aclk_1 <= s_axi_aclk;
  s_axi_aresetn_1 <= s_axi_aresetn;
axi_ahblite_bridge_0: component axi_2_amba_axi_ahblite_bridge_0_0
     port map (
      m_ahb_haddr(31 downto 0) => axi_ahblite_bridge_0_M_AHB_HADDR(31 downto 0),
      m_ahb_hburst(2 downto 0) => axi_ahblite_bridge_0_M_AHB_HBURST(2 downto 0),
      m_ahb_hmastlock => axi_ahblite_bridge_0_M_AHB_HMASTLOCK,
      m_ahb_hprot(3 downto 0) => axi_ahblite_bridge_0_M_AHB_HPROT(3 downto 0),
      m_ahb_hrdata(31 downto 0) => axi_ahblite_bridge_0_M_AHB_HRDATA(31 downto 0),
      m_ahb_hready => axi_ahblite_bridge_0_M_AHB_HREADY,
      m_ahb_hresp => axi_ahblite_bridge_0_M_AHB_HRESP,
      m_ahb_hsize(2 downto 0) => axi_ahblite_bridge_0_M_AHB_HSIZE(2 downto 0),
      m_ahb_htrans(1 downto 0) => axi_ahblite_bridge_0_M_AHB_HTRANS(1 downto 0),
      m_ahb_hwdata(31 downto 0) => axi_ahblite_bridge_0_M_AHB_HWDATA(31 downto 0),
      m_ahb_hwrite => axi_ahblite_bridge_0_M_AHB_HWRITE,
      s_axi_aclk => s_axi_aclk_1,
      s_axi_araddr(31 downto 0) => AXI4_1_ARADDR(31 downto 0),
      s_axi_arburst(1 downto 0) => AXI4_1_ARBURST(1 downto 0),
      s_axi_arcache(3 downto 0) => AXI4_1_ARCACHE(3 downto 0),
      s_axi_aresetn => s_axi_aresetn_1,
      s_axi_arid(3 downto 0) => AXI4_1_ARID(3 downto 0),
      s_axi_arlen(7 downto 0) => AXI4_1_ARLEN(7 downto 0),
      s_axi_arlock => AXI4_1_ARLOCK,
      s_axi_arprot(2 downto 0) => AXI4_1_ARPROT(2 downto 0),
      s_axi_arready => AXI4_1_ARREADY,
      s_axi_arsize(2 downto 0) => AXI4_1_ARSIZE(2 downto 0),
      s_axi_arvalid => AXI4_1_ARVALID,
      s_axi_awaddr(31 downto 0) => AXI4_1_AWADDR(31 downto 0),
      s_axi_awburst(1 downto 0) => AXI4_1_AWBURST(1 downto 0),
      s_axi_awcache(3 downto 0) => AXI4_1_AWCACHE(3 downto 0),
      s_axi_awid(3 downto 0) => AXI4_1_AWID(3 downto 0),
      s_axi_awlen(7 downto 0) => AXI4_1_AWLEN(7 downto 0),
      s_axi_awlock => AXI4_1_AWLOCK,
      s_axi_awprot(2 downto 0) => AXI4_1_AWPROT(2 downto 0),
      s_axi_awready => AXI4_1_AWREADY,
      s_axi_awsize(2 downto 0) => AXI4_1_AWSIZE(2 downto 0),
      s_axi_awvalid => AXI4_1_AWVALID,
      s_axi_bid(3 downto 0) => AXI4_1_BID(3 downto 0),
      s_axi_bready => AXI4_1_BREADY,
      s_axi_bresp(1 downto 0) => AXI4_1_BRESP(1 downto 0),
      s_axi_bvalid => AXI4_1_BVALID,
      s_axi_rdata(31 downto 0) => AXI4_1_RDATA(31 downto 0),
      s_axi_rid(3 downto 0) => AXI4_1_RID(3 downto 0),
      s_axi_rlast => AXI4_1_RLAST,
      s_axi_rready => AXI4_1_RREADY,
      s_axi_rresp(1 downto 0) => AXI4_1_RRESP(1 downto 0),
      s_axi_rvalid => AXI4_1_RVALID,
      s_axi_wdata(31 downto 0) => AXI4_1_WDATA(31 downto 0),
      s_axi_wlast => AXI4_1_WLAST,
      s_axi_wready => AXI4_1_WREADY,
      s_axi_wstrb(3 downto 0) => AXI4_1_WSTRB(3 downto 0),
      s_axi_wvalid => AXI4_1_WVALID
    );
end STRUCTURE;
