ECHO OFF

del fpga.bit 2>nul

IF "%FPGA_FAMILY%"=="xczu6eg" (
    set PART=%FPGA_FAMILY%-ffvb1156-1-i

) ELSE IF "%FPGA_FAMILY%"=="xczu9eg" (
    set PART=%FPGA_FAMILY%-ffvb1156-1-i

) ELSE IF "%FPGA_FAMILY%"=="xczu15eg" (
    set PART=%FPGA_FAMILY%-ffvb1156-1-i

) ELSE (
    echo "Environment variable FPGA_FAMILY=%FPGA_FAMILY% is not valid, Valid are: xczu6eg xczu9eg xczu15eg"
    exit /b 1
)

cd IP/dyplo
for /r %%i in (*.zip) do powershell -command "expand-archive %%i -Force"
cd ../../

set VIVADO_TCL=vivado -nolog -nojournal -mode batch -notrace -source

call %VIVADO_TCL% generate_bitstream.tcl -tclargs %PART%

copy %PART%\%PART%.runs\impl_1\*.bit fpga.bit

if exist fpga.bit (
    exit /b 0
) else (
    exit /b 1
)